AgentInvoiceAgentInvoice

Create a client

Creates a new billable client contact.

POST
/clients
AuthorizationBearer <token>

API key issued from your AgentInvoice account settings.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://app.agentinvoice.co/api/clients" \  -H "Content-Type: application/json" \  -d '{    "name": "Acme Corp",    "email": "billing@acme.com"  }'
{
  "id": 42,
  "name": "Acme Corp",
  "email": "billing@acme.com",
  "phone": "string",
  "company": "string",
  "addressLine1": "string",
  "addressLine2": "string",
  "city": "string",
  "state": "string",
  "postalCode": "string",
  "country": "string",
  "notes": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}